Bug 479401 - GFS2: Parsing of remount arguments incorrect
GFS2: Parsing of remount arguments incorrect
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On: 477208
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 07:02 EST by Steve Whitehouse
Modified: 2009-09-02 05:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 477208
Environment:
Last Closed: 2009-09-02 05:01:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL 5.4 version of the remount patch (11.42 KB, patch)
2009-01-14 06:24 EST, Steve Whitehouse
no flags Details | Diff
Better patch (11.80 KB, patch)
2009-02-19 16:13 EST, Robert Peterson
no flags Details | Diff
Revised RHEL5 patch (12.92 KB, patch)
2009-02-20 13:15 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2009-01-09 07:02:30 EST
Already fixed in upstream.

+++ This bug was initially created as a clone of Bug #477208 +++

There are some issues relating to the remount command which need to be fixed. Firstly, if an invalid argument is found, the remount process returns an error, but any valid arguments seen before the invalid one will have already been processed.

Secondly, the spectator flag seems not to be handled correctly.

This bug is just so that I don't forget to take a proper look at this.

--- Additional comment from swhiteho@redhat.com on 2008-12-22 08:27:12 EDT ---

Created an attachment (id=327640)
Initial patch, not tested so far.

A first go at this. I'll probably hold off sending this for a little while as I know it will conflict with other items in the queue.

--- Additional comment from swhiteho@redhat.com on 2009-01-06 09:26:27 EDT ---

Tested & posted to the -nmw git tree.
Comment 1 Steve Whitehouse 2009-01-14 06:24:26 EST
Created attachment 328969 [details]
RHEL 5.4 version of the remount patch
Comment 2 Robert Peterson 2009-02-19 16:13:20 EST
Created attachment 332640 [details]
Better patch

The previous patch referenced function match_strlcpy which only
exists in the upstream kernels.  This patch ports the simple
function inline.  This has been tested on system roth-01 with the
2.6.18-131 kernel plus this patch.  I did a bunch of mounts and
remounts using a variety of mount options.  Everything seems to
work properly.
Comment 3 Robert Peterson 2009-02-19 16:27:08 EST
Patch sent to rhkernel-list for inclusion into 5.4.  Changing status
to POST and adding Don and Linda to the cc-list.
Comment 4 Robert Peterson 2009-02-20 13:15:06 EST
Created attachment 332740 [details]
Revised RHEL5 patch

This one puts match_strlcpy where it belongs, in lib/parser.c.
Unfortunately, I needed to add #include <linux/types.h> to
include/linux/parser.h in order for the kernel to compile properly
because the callers may not know what a size_t is.  This statement
does not appear in the upstream kernel.
Comment 5 Don Zickus 2009-03-04 15:00:54 EST
in kernel-2.6.18-133.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 errata-xmlrpc 2009-09-02 05:01:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.